package com.muyu.server.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.CarFence;
import com.muyu.domain.req.*;
import com.muyu.domain.resp.CarFenceGroupResp;
import com.muyu.domain.resp.CarFenceGroupsResp;
import com.muyu.domain.resp.CarFenceResp;

import java.util.List;

/**
 * 围栏数据业务层
 * @Author：yang
 * @Package：com.muyu.server.service
 * @Project：cloud-electronic
 * @name：CarFenceService
 * @Date：2024/9/17 16:54
 */
public interface CarFenceService extends IService<CarFence> {
    /**
     * 查询围栏信息
     */
    public Page<CarFenceResp> selectCarFence(CarFenceReq req);

    /**
     * 电子围栏添加
     */
    Boolean addCarFence(CarFence carFence);
    /**
     * 添加电子围栏和车辆中间表
     */
    Boolean addCarGroup(CarGroupReq req);

    /**
     * 添加围栏和围栏组中间表
     */
    Boolean addFenceGroup(FenceGroupReq req);
    /**
     * 查询围栏和围栏组中间围栏
     */
    List<CarFenceGroupResp> selectCarFenceGroupList(Integer id);
    /**
     * 查询中间围栏
     */
    Boolean carFenceGroupDel(CarGroupIdReq carGroupIdReq);
    /**
     * 查询车辆围栏组信息
     */
    List<CarFenceGroupsResp> carGroupList(CarFenceGroupReq req);

    /**
     * 查询车辆围栏信息
     */
    List<CarFence> CarFenceList(Integer carInformationFence);
}
